# xs2ps

Export graphics to PS.

## Calling Sequence

    xs2ps(win_num, file_name [,orientation])
                xs2ps(fig, file_name [,orientation])

## Arguments

win_num

  integer, id of the figure to export.

fig

  handle of the figure to export.

file_name

  string, name of the exported file.

orientation

  optional character, with possible values 'portrait' or 'landscape'. The default value is 'portrait'.

## Description

`xs2ps` exports the display of a graphic window into a PostScript file.

Note that the generated Postscript file cannot be direcly printed since it requires a header file. The function `xs2eps` can be used to directly produce an encapsulated Postscript file with a header.

## Examples

    scf(0);
    plot2d();
    // Postcript export
    filename='foo.ps';
    xs2ps(0,filename);

## See Also

- figure_size property
- toprint
- printfigure
- xs2bmp
- xs2gif
- xs2jpg
- xs2png
- xs2ppm
- xs2eps
- xs2pdf
- xs2svg
- xs2emf